Create Conversational Message
Creates and sends a conversational message (with support for CC and BCC) to one or more recipients. This API does not support template substitutions, use Create Message instead if you need substitutions.
Validation Requirements:
- Either
text_contentorhtml_contentis required from.emailmust be from a domain you own with valid DNS recordsretention.metadatamust be between 1 and 30 daysretention.datamust be between 0 and 30 days- If the
reply_toparameter is provided, do not includereply-toin headers - If the
ccparameter is provided, do not includeccin headers message-idheader will be ignored and automatically generated- Schedule times must be in RFC3339 format
schedule.first_attemptmust be in the future and within 7 days of the requestschedule.expiresmust be in the future and within 8 days of the request
Authorizations
API key for authentication
Headers
Optional idempotency key for safe request retries. Must be a unique string for each logical request. Requests with the same key will return the same response. Keys expire after 24 hours.
255Path Parameters
Account ID
Body
{
"email": "noreply@example.com",
"name": "Example Corp"
}This parameter can set the To header to multiple addresses. The combined to, cc, and bcc recipient count must not exceed 50.
1 - 50 elementsEmail subject line
This parameter can set the CC header to multiple addresses. Do not include cc in the headers array. The combined to, cc, and bcc recipient count must not exceed 50.
1 - 50 elementsThis parameter can set the To header to multiple addresses. The combined to, cc, and bcc recipient count must not exceed 50.
1 - 50 elementsIf provided, the reply-to header in headers array must not be provided
{
"email": "noreply@example.com",
"name": "Example Corp"
}Plain text content. Required if html_content is empty
HTML content. Required if text_content is empty
AMP HTML content
File attachments
Custom email headers. cc and reply-to headers cannot be provided if reply_to or cc parameters are provided, message-id will be ignored and automatically generated
Tags for categorizing messages
If true, the message will be sent to the sandbox environment
The result of the sandbox send
deliver, bounce, defer, fail, suppress Tracking settings for the message, overrides default account settings
{ "open": true, "click": true }Retention settings for the message, overrides default account settings
{ "metadata": 1, "data": 0 }Schedule for message delivery

